// ZX81 ASSEMBLY & BASIC FILE FOR ZX-IDE
// GET ZX-IDE AT https://www.sinclairzxworld.com/viewtopic.php?f=6&t=1064

; Enable and Disable BREAK KEY
; DEMO for 1K ZX81
; BASED ON work by Bean at https://www.sinclairzxworld.com/viewtopic.php?p=19092#p19092

; RAND USR 16521 // start (also re-start after any INPUT command)
; POKE 16569,24  // to disable BREAK key (change 'JR C' to 'JR')
; POKE 16569,56  // to enable BREAK key  (change back to 'JR C')

format zx81
;labelusenumeric
;LISTOFF
	MEMAVL	   =	   MEM_1K
	include 'SINCL-ZX\ZX81.INC'	   // definitions of constants
;LISTON


; BASIC PROGRAM

AUTORUN:

include 'BREAK_DISABLE_REM1.INC'

; SAMPLE BASIC CODE TO USE REM 1 MACHINE CODE ROUTINTE
;2 RAND USR 16521 // start (use again after any INPUT command)
;3 POKE 16569,24  // to disable BREAK key (CHANGES
;4 POKE 16569,56  // to enable BREAK key

10 RAND USR #L16521		       //START IT
15 LET L=#L40B9 		       //16569
20 POKE L,24			       // DISABLE WITH JR
30 LET A$= "ABLED BREAK KEY, PRESS SPACE"
31 PRINT "DIS";A$
40 PAUSE 200
50 FOR A=1 TO 96
60 PRINT "A";
70 NEXT A
80 POKE L,56			       // ENABLE WITH ORIGINAL JR C
92 PRINT ,,"EN";A$
100 PAUSE 200
110 FOR A=1 TO 96
120 PRINT "X";
130 NEXT A

;TEST ROUTINE after using INPUT command
;199 PRINT ,,,,"INPUT SOMETHING"
;200 INPUT A$
;201 PRINT "NOW THE DISABLE COMMAND FAILS TO WORK"
;210 GOTO 20 //DISABLE BREAK KEY
;INSTEAD GOTO 10 (START, THEN DISABLE) WILL ALLOW IT TO WORK

; END BASIC

include 'SINCL-ZX\ZX81DISP.INC' 	 ; include D_FILE and needed memory areas
VARS_ADDR:
 db 80H     ;end of VARS
WORKSPACE:
assert ($-MEMST)<MEMAVL
; end of program